// Include-Dateien
#include <DDraw.h>

// Globale Variablen
extern LPDIRECTDRAW7		g_pDirectDraw;
extern LPDIRECTDRAWSURFACE7	g_pPrimarySurface;
extern LPDIRECTDRAWSURFACE7	g_pBackBuffer;
extern LPDIRECTDRAWCLIPPER	g_pClipper;
extern DDSURFACEDESC2		g_DDSD;

// Funktionen
bool InitDirectDraw(int iResX, int iResY, int iBPP, HWND hWindow);
bool ExitDirectDraw();
bool ShowBackBuffer(bool bVSync);
bool ClearSurface(LPDIRECTDRAWSURFACE7 pSurface, DWORD dwColor);
bool LoadBitmap(char* pcFilename, LPDIRECTDRAWSURFACE7* ppSurface, DWORD dwColorKey);
bool DrawSprite(LPDIRECTDRAWSURFACE7 pDest, int dx, int dy, int dw, int dh, LPDIRECTDRAWSURFACE7 pSpriteSet, int tx, int ty, int tw, int th, bool bTransparent);
bool Blt(LPDIRECTDRAWSURFACE7 pDest, int dx, int dy, int dw, int dh, LPDIRECTDRAWSURFACE7 pSrc, int sx, int sy, int sw, int sh, DWORD dwFlags, DDBLTFX* pFX);