// Include-Dateien
#include <DSound.h>

// Globale Variablen
extern LPDIRECTSOUND		g_pDirectSound;
extern LPDIRECTSOUNDBUFFER	g_pPrimaryBuffer;

// RIFF-Header
struct SRIFFHeader
{
	char	acRIFF[4];
	DWORD	dwSize;
	char	acFormat[4];
};

// Header eines WAV-Datei-Chunks
struct SWAVChunkHeader
{
	char	acType[4];
	DWORD	dwDataSize;
};

// Funktionen
bool InitDirectSound(HWND hWindow);
bool ExitDirectSound();
bool LoadSound(char* pcFilename, DWORD dwFlags, LPDIRECTSOUNDBUFFER* ppOut);
